jbuilder

AuthorJane Street Group, LLC <opensource@janestreet.com>
LicenseApache-2.0
Homepagehttps://github.com/janestreet/jbuilder
Issue Trackerhttps://github.com/janestreet/jbuilder/issues
Maintaineropensource@janestreet.com
Dependencies
ocamlfind
Availableocaml-version >= "4.02.3"
PublishedApr 18, 2017
Source [http] https://github.com/janestreet/jbuilder/archive/1.0+beta8.tar.gz
36fec14f5647368502f0a4e3c1207189
StatisticsInstalled 3874 times last month.
Edithttps://github.com/ocaml/opam-repository/tree/master/packages/jbuilder/jbuilder.1.0+beta8/opam

Fast, portable and opinionated build system

jbuilder is a build system that was designed to simplify the release of Jane Street packages. It reads metadata from "jbuild" files following a very simple s-expression syntax.

jbuilder is fast, it has very low-overhead and support parallel builds on all platforms. It has no system dependencies, all you need to build jbuilder and packages using jbuilder is OCaml. You don't need or make or bash as long as the packages themselves don't use bash explicitely.

jbuilder supports multi-package development by simply dropping multiple repositories into the same directory.

It also supports multi-context builds, such as building against several opam roots/switches simultaneously. This helps maintaining packages across several versions of OCaml and gives cross-compilation for free.

Necessary for
async
>= v0.9.0
async_extended
>= v0.9.0
async_extra
>= v0.9.0
async_find
>= v0.9.0
async_inotify
>= v0.9.0
async_interactive
async_js
async_kernel
>= v0.9.0
async_parallel
>= v0.9.0
async_rpc_kernel
>= v0.9.0
async_shell
>= v0.9.0
async_smtp
>= v0.9.0
async_ssl
>= v0.9.0
async_unix
>= v0.9.0
atd
>= 1.2.1
atdgen
>= 1.10.2
base
>= v0.9.2
bignum
>= v0.9.0
bin_prot
>= v0.9.0
cinaps
clarity
command_rpc
configurator
core
>= v0.9.0
core_bench
>= v0.9.0
core_extended
>= v0.9.0
core_kernel
>= v0.9.0
core_profiler
>= v0.9.0
cowabloga
>= 0.3.0
cstruct
>= 3.0.0
cstruct-async
cstruct-lwt
>= 3.0.0
cstruct-unix
>= 3.0.0
csvfields
datakit
>= 0.10.0
datakit-bridge-github
>= 0.10.0
datakit-bridge-local-git
>= 0.10.0
datakit-ci
>= 0.10.0
datakit-client
>= 0.10.0
datakit-github
>= 0.10.0
datakit-server
>= 0.10.0
doc-ock
>= 1.1.0
doc-ock-html
>= 1.1.0
doc-ock-xml
>= 1.1.0
ecaml
email_message
>= v0.9.0
expect_test_helpers
expect_test_helpers_kernel
fieldslib
>= v0.9.0
graphql
graphql-async
graphql-lwt
hex
>= 1.1.0
incr_dom
incr_map
incr_select
incremental
>= v0.9.0
incremental_kernel
>= v0.9.0
jane-street-headers
jenga
>= v0.9.0
json-wheel_jane_street_overlay
lambda-term
>= 1.11
mirage-block-unix
>= 2.8.2
mirage-device
>= 1.1.0
mirage-fs
>= 1.1.0
mirage-fs-lwt
>= 1.1.0
mirage-fs-unix
>= 1.4.0
mirage-kv
>= 1.1.0
mirage-kv-lwt
>= 1.1.0
mirage-net-macosx
>= 1.4.0
msgpck
>= 1.3
mstruct
>= 1.3.3
npy
>= 0.0.5
nullable-array
ocaml-compiler-libs
ocaml-migrate-parsetree
ocaml_plugin
>= v0.9.0
octavius
>= 1.1.0
odoc
>= 1.1.0
parsexp
parsexp_io
patdiff
>= v0.9.0
patience_diff
>= v0.9.0
posixat
ppx_assert
>= v0.9.0
ppx_ast
ppx_base
ppx_bench
>= v0.9.1
ppx_bin_prot
>= v0.9.0
ppx_compare
>= v0.9.0
ppx_conv_func
>= v0.9.0
ppx_core
>= v0.9.0
ppx_cstruct
>= 3.0.0
ppx_csv_conv
>= v0.9.0
ppx_custom_printf
>= v0.9.0
ppx_derivers
ppx_driver
>= v0.9.1
ppx_enumerate
>= v0.9.0
ppx_expect
>= v0.9.0
ppx_fail
>= v0.9.0
ppx_fields_conv
>= v0.9.0
ppx_hash
ppx_here
>= v0.9.1
ppx_inline_test
>= v0.9.1
ppx_jane
>= v0.9.0
ppx_js_style
ppx_let
>= v0.9.0
ppx_metaquot
ppx_optcomp
>= v0.9.0
ppx_optional
ppx_pipebang
>= v0.9.0
ppx_sexp_conv
>= v0.9.0
ppx_sexp_message
>= v0.9.0
ppx_sexp_value
>= v0.9.0
ppx_traverse
ppx_traverse_builtins
ppx_type_conv
>= v0.9.0
ppx_typerep_conv
>= v0.9.0
ppx_variants_conv
>= v0.9.0
ppx_xml_conv
>= v0.9.0
prometheus
>= 0.2
prometheus-app
>= 0.2
protocol-9p
>= 0.10.0
protocol-9p-tool
protocol-9p-unix
pumping
qcow
>= 0.10.0
qcow-tool
re2
>= v0.9.0
redis
>= 0.3.4
redis-lwt
redis-sync
rpc_parallel
>= v0.9.0
sexp_pretty
sexplib
>= v0.9.0
shexp
spawn
stdio
tar
tar-mirage
tar-unix
tensorflow
>= 0.0.10
textutils
>= v0.9.0
topkg-jbuilder
toplevel_expect_test
>= v0.9.1
topological_sort
typerep
>= v0.9.0
typerep_extended
>= v0.9.0
variantslib
>= v0.9.0
virtual_dom
wamp
>= 1.2
wamp-msgpck
wamp-yojson
zed
>= 1.5